# Kortex Api Reference

-   [ActuatorConfig \(C++\)](summary_pages/ActuatorConfig.md)
    -   [class AxisOffsets](messages/ActuatorConfig/AxisOffsets.md)
    -   [class AxisPosition](messages/ActuatorConfig/AxisPosition.md)
    -   [class CoggingFeedforwardModeInformation](messages/ActuatorConfig/CoggingFeedforwardModeInformation.md)
    -   [class CommandModeInformation](messages/ActuatorConfig/CommandModeInformation.md)
    -   [class ControlLoop](messages/ActuatorConfig/ControlLoop.md)
    -   [class ControlLoopParameters](messages/ActuatorConfig/ControlLoopParameters.md)
    -   [class ControlModeInformation](messages/ActuatorConfig/ControlModeInformation.md)
    -   [class CustomDataSelection](messages/ActuatorConfig/CustomDataSelection.md)
    -   [class EncoderDerivativeParameters](messages/ActuatorConfig/EncoderDerivativeParameters.md)
    -   [class FrequencyResponse](messages/ActuatorConfig/FrequencyResponse.md)
    -   [class LoopSelection](messages/ActuatorConfig/LoopSelection.md)
    -   [class PositionCommand](messages/ActuatorConfig/PositionCommand.md)
    -   [class RampResponse](messages/ActuatorConfig/RampResponse.md)
    -   [class Servoing](messages/ActuatorConfig/Servoing.md)
    -   [class StepResponse](messages/ActuatorConfig/StepResponse.md)
    -   [class TorqueCalibration](messages/ActuatorConfig/TorqueCalibration.md)
    -   [class TorqueOffset](messages/ActuatorConfig/TorqueOffset.md)
    -   [class VectorDriveParameters](messages/ActuatorConfig/VectorDriveParameters.md)
    -   [enum CoggingFeedforwardMode](enums/ActuatorConfig/CoggingFeedforwardMode.md)
    -   [enum CommandMode](enums/ActuatorConfig/CommandMode.md)
    -   [enum ControlLoopSelection](enums/ActuatorConfig/ControlLoopSelection.md)
    -   [enum ControlMode](enums/ActuatorConfig/ControlMode.md)
    -   [enum CustomDataIndex](enums/ActuatorConfig/CustomDataIndex.md)
    -   [enum SafetyIdentifierBankA](enums/ActuatorConfig/SafetyIdentifierBankA.md)
    -   [enum SafetyLimitType](enums/ActuatorConfig/SafetyLimitType.md)
    -   [enum ServiceVersion](enums/ActuatorConfig/ServiceVersion.md)
-   [ActuatorCyclic \(C++\)](summary_pages/ActuatorCyclic.md)
    -   [class Command](messages/ActuatorCyclic/Command.md)
    -   [class CustomData](messages/ActuatorCyclic/CustomData.md)
    -   [class Feedback](messages/ActuatorCyclic/Feedback.md)
    -   [class MessageId](messages/ActuatorCyclic/MessageId.md)
    -   [enum CommandFlags](enums/ActuatorCyclic/CommandFlags.md)
    -   [enum ServiceVersion](enums/ActuatorCyclic/ServiceVersion.md)
    -   [enum StatusFlags](enums/ActuatorCyclic/StatusFlags.md)
-   [Api \(C++\)](summary_pages/Api.md)
    -   [enum ErrorCodes](enums/Api/ErrorCodes.md)
    -   [enum SubErrorCodes](enums/Api/SubErrorCodes.md)
-   [Base \(C++\)](summary_pages/Base.md)
    -   [class Action](messages/Base/Action.md)
    -   [class ActionExecutionState](messages/Base/ActionExecutionState.md)
    -   [class ActionHandle](messages/Base/ActionHandle.md)
    -   [class ActionList](messages/Base/ActionList.md)
    -   [class ActionNotification](messages/Base/ActionNotification.md)
    -   [class ActionNotificationList](messages/Base/ActionNotificationList.md)
    -   [class ActivateMapHandle](messages/Base/ActivateMapHandle.md)
    -   [class ActuatorInformation](messages/Base/ActuatorInformation.md)
    -   [class Admittance](messages/Base/Admittance.md)
    -   [class AdvancedSequenceHandle](messages/Base/AdvancedSequenceHandle.md)
    -   [class AngularWaypoint](messages/Base/AngularWaypoint.md)
    -   [class AppendActionInformation](messages/Base/AppendActionInformation.md)
    -   [class ArmStateInformation](messages/Base/ArmStateInformation.md)
    -   [class ArmStateNotification](messages/Base/ArmStateNotification.md)
    -   [class BluetoothEnableState](messages/Base/BluetoothEnableState.md)
    -   [class BridgeConfig](messages/Base/BridgeConfig.md)
    -   [class BridgeIdentifier](messages/Base/BridgeIdentifier.md)
    -   [class BridgeList](messages/Base/BridgeList.md)
    -   [class BridgePortConfig](messages/Base/BridgePortConfig.md)
    -   [class BridgeResult](messages/Base/BridgeResult.md)
    -   [class CapSenseConfig](messages/Base/CapSenseConfig.md)
    -   [class CartesianLimitation](messages/Base/CartesianLimitation.md)
    -   [class CartesianLimitationList](messages/Base/CartesianLimitationList.md)
    -   [class CartesianSpeed](messages/Base/CartesianSpeed.md)
    -   [class CartesianTrajectoryConstraint](messages/Base/CartesianTrajectoryConstraint.md)
    -   [class CartesianWaypoint](messages/Base/CartesianWaypoint.md)
    -   [class ChangeJointSpeeds](messages/Base/ChangeJointSpeeds.md)
    -   [class ChangeTwist](messages/Base/ChangeTwist.md)
    -   [class ChangeWrench](messages/Base/ChangeWrench.md)
    -   [class CommunicationInterfaceConfiguration](messages/Base/CommunicationInterfaceConfiguration.md)
    -   [class ConfigurationChangeNotification](messages/Base/ConfigurationChangeNotification.md)
    -   [class ConfigurationChangeNotificationList](messages/Base/ConfigurationChangeNotificationList.md)
    -   [class ConstrainedJointAngle](messages/Base/ConstrainedJointAngle.md)
    -   [class ConstrainedJointAngles](messages/Base/ConstrainedJointAngles.md)
    -   [class ConstrainedOrientation](messages/Base/ConstrainedOrientation.md)
    -   [class ConstrainedPose](messages/Base/ConstrainedPose.md)
    -   [class ConstrainedPosition](messages/Base/ConstrainedPosition.md)
    -   [class ControlModeInformation](messages/Base/ControlModeInformation.md)
    -   [class ControlModeNotification](messages/Base/ControlModeNotification.md)
    -   [class ControlModeNotificationList](messages/Base/ControlModeNotificationList.md)
    -   [class ControllerConfiguration](messages/Base/ControllerConfiguration.md)
    -   [class ControllerConfigurationList](messages/Base/ControllerConfigurationList.md)
    -   [class ControllerConfigurationMode](messages/Base/ControllerConfigurationMode.md)
    -   [class ControllerElementHandle](messages/Base/ControllerElementHandle.md)
    -   [class ControllerElementState](messages/Base/ControllerElementState.md)
    -   [class ControllerEvent](messages/Base/ControllerEvent.md)
    -   [class ControllerHandle](messages/Base/ControllerHandle.md)
    -   [class ControllerList](messages/Base/ControllerList.md)
    -   [class ControllerNotification](messages/Base/ControllerNotification.md)
    -   [class ControllerNotificationList](messages/Base/ControllerNotificationList.md)
    -   [class ControllerState](messages/Base/ControllerState.md)
    -   [class Delay](messages/Base/Delay.md)
    -   [class EmergencyStop](messages/Base/EmergencyStop.md)
    -   [class FactoryNotification](messages/Base/FactoryNotification.md)
    -   [class Faults](messages/Base/Faults.md)
    -   [class Finger](messages/Base/Finger.md)
    -   [class FirmwareBundleVersions](messages/Base/FirmwareBundleVersions.md)
    -   [class FirmwareComponentVersion](messages/Base/FirmwareComponentVersion.md)
    -   [class FullIPv4Configuration](messages/Base/FullIPv4Configuration.md)
    -   [class FullUserProfile](messages/Base/FullUserProfile.md)
    -   [class GpioCommand](messages/Base/GpioCommand.md)
    -   [class GpioConfiguration](messages/Base/GpioConfiguration.md)
    -   [class GpioConfigurationList](messages/Base/GpioConfigurationList.md)
    -   [class GpioEvent](messages/Base/GpioEvent.md)
    -   [class GpioPinConfiguration](messages/Base/GpioPinConfiguration.md)
    -   [class Gripper](messages/Base/Gripper.md)
    -   [class GripperCommand](messages/Base/GripperCommand.md)
    -   [class GripperRequest](messages/Base/GripperRequest.md)
    -   [class IKData](messages/Base/IKData.md)
    -   [class IPv4Configuration](messages/Base/IPv4Configuration.md)
    -   [class IPv4Information](messages/Base/IPv4Information.md)
    -   [class JointAngle](messages/Base/JointAngle.md)
    -   [class JointAngles](messages/Base/JointAngles.md)
    -   [class JointLimitation](messages/Base/JointLimitation.md)
    -   [class JointSpeed](messages/Base/JointSpeed.md)
    -   [class JointSpeeds](messages/Base/JointSpeeds.md)
    -   [class JointTorque](messages/Base/JointTorque.md)
    -   [class JointTorques](messages/Base/JointTorques.md)
    -   [class JointTrajectoryConstraint](messages/Base/JointTrajectoryConstraint.md)
    -   [class JointsLimitationsList](messages/Base/JointsLimitationsList.md)
    -   [class KinematicTrajectoryConstraints](messages/Base/KinematicTrajectoryConstraints.md)
    -   [class Map](messages/Base/Map.md)
    -   [class MapElement](messages/Base/MapElement.md)
    -   [class MapEvent](messages/Base/MapEvent.md)
    -   [class MapGroup](messages/Base/MapGroup.md)
    -   [class MapGroupHandle](messages/Base/MapGroupHandle.md)
    -   [class MapGroupList](messages/Base/MapGroupList.md)
    -   [class MapHandle](messages/Base/MapHandle.md)
    -   [class MapList](messages/Base/MapList.md)
    -   [class Mapping](messages/Base/Mapping.md)
    -   [class MappingHandle](messages/Base/MappingHandle.md)
    -   [class MappingInfoNotification](messages/Base/MappingInfoNotification.md)
    -   [class MappingInfoNotificationList](messages/Base/MappingInfoNotificationList.md)
    -   [class MappingList](messages/Base/MappingList.md)
    -   [class NetworkHandle](messages/Base/NetworkHandle.md)
    -   [class NetworkNotification](messages/Base/NetworkNotification.md)
    -   [class NetworkNotificationList](messages/Base/NetworkNotificationList.md)
    -   [class OperatingModeInformation](messages/Base/OperatingModeInformation.md)
    -   [class OperatingModeNotification](messages/Base/OperatingModeNotification.md)
    -   [class OperatingModeNotificationList](messages/Base/OperatingModeNotificationList.md)
    -   [class Orientation](messages/Base/Orientation.md)
    -   [class PasswordChange](messages/Base/PasswordChange.md)
    -   [class Point](messages/Base/Point.md)
    -   [class Pose](messages/Base/Pose.md)
    -   [class Position](messages/Base/Position.md)
    -   [class PreComputedJointTrajectory](messages/Base/PreComputedJointTrajectory.md)
    -   [class PreComputedJointTrajectoryElement](messages/Base/PreComputedJointTrajectoryElement.md)
    -   [class ProtectionZone](messages/Base/ProtectionZone.md)
    -   [class ProtectionZoneHandle](messages/Base/ProtectionZoneHandle.md)
    -   [class ProtectionZoneInformation](messages/Base/ProtectionZoneInformation.md)
    -   [class ProtectionZoneList](messages/Base/ProtectionZoneList.md)
    -   [class ProtectionZoneNotification](messages/Base/ProtectionZoneNotification.md)
    -   [class ProtectionZoneNotificationList](messages/Base/ProtectionZoneNotificationList.md)
    -   [class Query](messages/Base/Query.md)
    -   [class RFConfiguration](messages/Base/RFConfiguration.md)
    -   [class RequestedActionType](messages/Base/RequestedActionType.md)
    -   [class RobotEventNotification](messages/Base/RobotEventNotification.md)
    -   [class RobotEventNotificationList](messages/Base/RobotEventNotificationList.md)
    -   [class RotationMatrix](messages/Base/RotationMatrix.md)
    -   [class RotationMatrixRow](messages/Base/RotationMatrixRow.md)
    -   [class SafetyEvent](messages/Base/SafetyEvent.md)
    -   [class SafetyNotificationList](messages/Base/SafetyNotificationList.md)
    -   [class Sequence](messages/Base/Sequence.md)
    -   [class SequenceHandle](messages/Base/SequenceHandle.md)
    -   [class SequenceInfoNotification](messages/Base/SequenceInfoNotification.md)
    -   [class SequenceInfoNotificationList](messages/Base/SequenceInfoNotificationList.md)
    -   [class SequenceInformation](messages/Base/SequenceInformation.md)
    -   [class SequenceList](messages/Base/SequenceList.md)
    -   [class SequenceTask](messages/Base/SequenceTask.md)
    -   [class SequenceTaskConfiguration](messages/Base/SequenceTaskConfiguration.md)
    -   [class SequenceTaskHandle](messages/Base/SequenceTaskHandle.md)
    -   [class SequenceTasks](messages/Base/SequenceTasks.md)
    -   [class SequenceTasksConfiguration](messages/Base/SequenceTasksConfiguration.md)
    -   [class SequenceTasksPair](messages/Base/SequenceTasksPair.md)
    -   [class SequenceTasksRange](messages/Base/SequenceTasksRange.md)
    -   [class ServoingModeInformation](messages/Base/ServoingModeInformation.md)
    -   [class ServoingModeNotification](messages/Base/ServoingModeNotification.md)
    -   [class ServoingModeNotificationList](messages/Base/ServoingModeNotificationList.md)
    -   [class Snapshot](messages/Base/Snapshot.md)
    -   [class Ssid](messages/Base/Ssid.md)
    -   [class Stop](messages/Base/Stop.md)
    -   [class SwitchControlMapping](messages/Base/SwitchControlMapping.md)
    -   [class SystemTime](messages/Base/SystemTime.md)
    -   [class Timeout](messages/Base/Timeout.md)
    -   [class TrajectoryErrorElement](messages/Base/TrajectoryErrorElement.md)
    -   [class TrajectoryErrorReport](messages/Base/TrajectoryErrorReport.md)
    -   [class TrajectoryInfo](messages/Base/TrajectoryInfo.md)
    -   [class TransformationMatrix](messages/Base/TransformationMatrix.md)
    -   [class TransformationRow](messages/Base/TransformationRow.md)
    -   [class Twist](messages/Base/Twist.md)
    -   [class TwistCommand](messages/Base/TwistCommand.md)
    -   [class TwistLimitation](messages/Base/TwistLimitation.md)
    -   [class UserList](messages/Base/UserList.md)
    -   [class UserNotification](messages/Base/UserNotification.md)
    -   [class UserNotificationList](messages/Base/UserNotificationList.md)
    -   [class UserProfile](messages/Base/UserProfile.md)
    -   [class UserProfileList](messages/Base/UserProfileList.md)
    -   [class Waypoint](messages/Base/Waypoint.md)
    -   [class WaypointList](messages/Base/WaypointList.md)
    -   [class WaypointValidationReport](messages/Base/WaypointValidationReport.md)
    -   [class WifiConfiguration](messages/Base/WifiConfiguration.md)
    -   [class WifiConfigurationList](messages/Base/WifiConfigurationList.md)
    -   [class WifiEnableState](messages/Base/WifiEnableState.md)
    -   [class WifiInformation](messages/Base/WifiInformation.md)
    -   [class WifiInformationList](messages/Base/WifiInformationList.md)
    -   [class Wrench](messages/Base/Wrench.md)
    -   [class WrenchCommand](messages/Base/WrenchCommand.md)
    -   [class WrenchLimitation](messages/Base/WrenchLimitation.md)
    -   [class ZoneShape](messages/Base/ZoneShape.md)
    -   [enum ActionEvent](enums/Base/ActionEvent.md)
    -   [enum ActionType](enums/Base/ActionType.md)
    -   [enum AdmittanceMode](enums/Base/AdmittanceMode.md)
    -   [enum BackupEvent](enums/Base/BackupEvent.md)
    -   [enum BridgeStatus](enums/Base/BridgeStatus.md)
    -   [enum BridgeType](enums/Base/BridgeType.md)
    -   [enum CapSenseMode](enums/Base/CapSenseMode.md)
    -   [enum ConfigurationNotificationEvent](enums/Base/ConfigurationNotificationEvent.md)
    -   [enum ControlMode](enums/Base/ControlMode.md)
    -   [enum ControllerBehavior](enums/Base/ControllerBehavior.md)
    -   [enum ControllerElementEventType](enums/Base/ControllerElementEventType.md)
    -   [enum ControllerEventType](enums/Base/ControllerEventType.md)
    -   [enum ControllerInputType](enums/Base/ControllerInputType.md)
    -   [enum ControllerType](enums/Base/ControllerType.md)
    -   [enum EventIdSequenceInfoNotification](enums/Base/EventIdSequenceInfoNotification.md)
    -   [enum FactoryEvent](enums/Base/FactoryEvent.md)
    -   [enum Gen3GpioPinId](enums/Base/Gen3GpioPinId.md)
    -   [enum GpioAction](enums/Base/GpioAction.md)
    -   [enum GpioBehavior](enums/Base/GpioBehavior.md)
    -   [enum GpioPinPropertyFlags](enums/Base/GpioPinPropertyFlags.md)
    -   [enum GripperMode](enums/Base/GripperMode.md)
    -   [enum JointNavigationDirection](enums/Base/JointNavigationDirection.md)
    -   [enum JointTrajectoryConstraintType](enums/Base/JointTrajectoryConstraintType.md)
    -   [enum LedState](enums/Base/LedState.md)
    -   [enum LimitationType](enums/Base/LimitationType.md)
    -   [enum NavigationDirection](enums/Base/NavigationDirection.md)
    -   [enum NetworkEvent](enums/Base/NetworkEvent.md)
    -   [enum NetworkType](enums/Base/NetworkType.md)
    -   [enum OperatingMode](enums/Base/OperatingMode.md)
    -   [enum ProtectionZoneEvent](enums/Base/ProtectionZoneEvent.md)
    -   [enum RobotEvent](enums/Base/RobotEvent.md)
    -   [enum SafetyIdentifier](enums/Base/SafetyIdentifier.md)
    -   [enum ServiceVersion](enums/Base/ServiceVersion.md)
    -   [enum ServoingMode](enums/Base/ServoingMode.md)
    -   [enum ShapeType](enums/Base/ShapeType.md)
    -   [enum SignalQuality](enums/Base/SignalQuality.md)
    -   [enum SnapshotType](enums/Base/SnapshotType.md)
    -   [enum SoundType](enums/Base/SoundType.md)
    -   [enum TrajectoryContinuityMode](enums/Base/TrajectoryContinuityMode.md)
    -   [enum TrajectoryErrorIdentifier](enums/Base/TrajectoryErrorIdentifier.md)
    -   [enum TrajectoryErrorType](enums/Base/TrajectoryErrorType.md)
    -   [enum TrajectoryInfoType](enums/Base/TrajectoryInfoType.md)
    -   [enum UserEvent](enums/Base/UserEvent.md)
    -   [enum WifiEncryptionType](enums/Base/WifiEncryptionType.md)
    -   [enum WifiSecurityType](enums/Base/WifiSecurityType.md)
    -   [enum WrenchMode](enums/Base/WrenchMode.md)
    -   [enum WristDigitalInputIdentifier](enums/Base/WristDigitalInputIdentifier.md)
    -   [enum Xbox360AnalogInputIdentifier](enums/Base/Xbox360AnalogInputIdentifier.md)
    -   [enum Xbox360DigitalInputIdentifier](enums/Base/Xbox360DigitalInputIdentifier.md)
-   [BaseCyclic \(C++\)](summary_pages/BaseCyclic.md)
    -   [class ActuatorCommand](messages/BaseCyclic/ActuatorCommand.md)
    -   [class ActuatorCustomData](messages/BaseCyclic/ActuatorCustomData.md)
    -   [class ActuatorFeedback](messages/BaseCyclic/ActuatorFeedback.md)
    -   [class BaseFeedback](messages/BaseCyclic/BaseFeedback.md)
    -   [class Command](messages/BaseCyclic/Command.md)
    -   [class CustomData](messages/BaseCyclic/CustomData.md)
    -   [class Feedback](messages/BaseCyclic/Feedback.md)
    -   [enum ServiceVersion](enums/BaseCyclic/ServiceVersion.md)
-   [Common \(C++\)](summary_pages/Common.md)
    -   [class Connection](messages/Common/Connection.md)
    -   [class CountryCode](messages/Common/CountryCode.md)
    -   [class DeviceHandle](messages/Common/DeviceHandle.md)
    -   [class Empty](messages/Common/Empty.md)
    -   [class NotificationHandle](messages/Common/NotificationHandle.md)
    -   [class NotificationOptions](messages/Common/NotificationOptions.md)
    -   [class SafetyHandle](messages/Common/SafetyHandle.md)
    -   [class SafetyNotification](messages/Common/SafetyNotification.md)
    -   [class Timestamp](messages/Common/Timestamp.md)
    -   [class UARTConfiguration](messages/Common/UARTConfiguration.md)
    -   [class UARTDeviceIdentification](messages/Common/UARTDeviceIdentification.md)
    -   [class UserProfileHandle](messages/Common/UserProfileHandle.md)
    -   [enum ArmState](enums/Common/ArmState.md)
    -   [enum CartesianReferenceFrame](enums/Common/CartesianReferenceFrame.md)
    -   [enum CountryCodeIdentifier](enums/Common/CountryCodeIdentifier.md)
    -   [enum DeviceTypes](enums/Common/DeviceTypes.md)
    -   [enum NotificationType](enums/Common/NotificationType.md)
    -   [enum Permission](enums/Common/Permission.md)
    -   [enum SafetyStatusValue](enums/Common/SafetyStatusValue.md)
    -   [enum UARTParity](enums/Common/UARTParity.md)
    -   [enum UARTSpeed](enums/Common/UARTSpeed.md)
    -   [enum UARTStopBits](enums/Common/UARTStopBits.md)
    -   [enum UARTWordLength](enums/Common/UARTWordLength.md)
    -   [enum Unit](enums/Common/Unit.md)
-   [ControlConfig \(C++\)](summary_pages/ControlConfig.md)
    -   [class AngularTwist](messages/ControlConfig/AngularTwist.md)
    -   [class CartesianReferenceFrameInfo](messages/ControlConfig/CartesianReferenceFrameInfo.md)
    -   [class CartesianTransform](messages/ControlConfig/CartesianTransform.md)
    -   [class ControlConfigurationNotification](messages/ControlConfig/ControlConfigurationNotification.md)
    -   [class ControlModeInformation](messages/ControlConfig/ControlModeInformation.md)
    -   [class ControlModeNotification](messages/ControlConfig/ControlModeNotification.md)
    -   [class DesiredSpeeds](messages/ControlConfig/DesiredSpeeds.md)
    -   [class GravityVector](messages/ControlConfig/GravityVector.md)
    -   [class JointAccelerationSoftLimits](messages/ControlConfig/JointAccelerationSoftLimits.md)
    -   [class JointSpeedSoftLimits](messages/ControlConfig/JointSpeedSoftLimits.md)
    -   [class JointSpeeds](messages/ControlConfig/JointSpeeds.md)
    -   [class KinematicLimits](messages/ControlConfig/KinematicLimits.md)
    -   [class KinematicLimitsList](messages/ControlConfig/KinematicLimitsList.md)
    -   [class LinearTwist](messages/ControlConfig/LinearTwist.md)
    -   [class PayloadInformation](messages/ControlConfig/PayloadInformation.md)
    -   [class Position](messages/ControlConfig/Position.md)
    -   [class ToolConfiguration](messages/ControlConfig/ToolConfiguration.md)
    -   [class TwistAngularSoftLimit](messages/ControlConfig/TwistAngularSoftLimit.md)
    -   [class TwistLinearSoftLimit](messages/ControlConfig/TwistLinearSoftLimit.md)
    -   [enum ControlConfigurationEvent](enums/ControlConfig/ControlConfigurationEvent.md)
    -   [enum ControlMode](enums/ControlConfig/ControlMode.md)
    -   [enum ServiceVersion](enums/ControlConfig/ServiceVersion.md)
-   [DeviceConfig \(C++\)](summary_pages/DeviceConfig.md)
    -   [class BootloaderVersion](messages/DeviceConfig/BootloaderVersion.md)
    -   [class Calibration](messages/DeviceConfig/Calibration.md)
    -   [class CalibrationElement](messages/DeviceConfig/CalibrationElement.md)
    -   [class CalibrationParameter](messages/DeviceConfig/CalibrationParameter.md)
    -   [class CalibrationResult](messages/DeviceConfig/CalibrationResult.md)
    -   [class CapSenseConfig](messages/DeviceConfig/CapSenseConfig.md)
    -   [class CapSenseRegister](messages/DeviceConfig/CapSenseRegister.md)
    -   [class DeviceType](messages/DeviceConfig/DeviceType.md)
    -   [class FirmwareVersion](messages/DeviceConfig/FirmwareVersion.md)
    -   [class IPv4Settings](messages/DeviceConfig/IPv4Settings.md)
    -   [class MACAddress](messages/DeviceConfig/MACAddress.md)
    -   [class ModelNumber](messages/DeviceConfig/ModelNumber.md)
    -   [class PartNumber](messages/DeviceConfig/PartNumber.md)
    -   [class PartNumberRevision](messages/DeviceConfig/PartNumberRevision.md)
    -   [class PowerOnSelfTestResult](messages/DeviceConfig/PowerOnSelfTestResult.md)
    -   [class RebootRqst](messages/DeviceConfig/RebootRqst.md)
    -   [class RunMode](messages/DeviceConfig/RunMode.md)
    -   [class SafetyConfiguration](messages/DeviceConfig/SafetyConfiguration.md)
    -   [class SafetyConfigurationList](messages/DeviceConfig/SafetyConfigurationList.md)
    -   [class SafetyEnable](messages/DeviceConfig/SafetyEnable.md)
    -   [class SafetyInformation](messages/DeviceConfig/SafetyInformation.md)
    -   [class SafetyInformationList](messages/DeviceConfig/SafetyInformationList.md)
    -   [class SafetyStatus](messages/DeviceConfig/SafetyStatus.md)
    -   [class SafetyThreshold](messages/DeviceConfig/SafetyThreshold.md)
    -   [class SerialNumber](messages/DeviceConfig/SerialNumber.md)
    -   [enum CalibrationItem](enums/DeviceConfig/CalibrationItem.md)
    -   [enum CalibrationStatus](enums/DeviceConfig/CalibrationStatus.md)
    -   [enum CapSenseMode](enums/DeviceConfig/CapSenseMode.md)
    -   [enum RunModes](enums/DeviceConfig/RunModes.md)
    -   [enum SafetyLimitType](enums/DeviceConfig/SafetyLimitType.md)
    -   [enum ServiceVersion](enums/DeviceConfig/ServiceVersion.md)
-   [DeviceManager \(C++\)](summary_pages/DeviceManager.md)
    -   [class DeviceHandles](messages/DeviceManager/DeviceHandles.md)
    -   [enum ServiceVersion](enums/DeviceManager/ServiceVersion.md)
-   [GripperConfig \(C++\)](summary_pages/GripperConfig.md)
    -   [enum RobotiqGripperStatusFlags](enums/GripperConfig/RobotiqGripperStatusFlags.md)
    -   [enum SafetyIdentifier](enums/GripperConfig/SafetyIdentifier.md)
-   [GripperCyclic \(C++\)](summary_pages/GripperCyclic.md)
    -   [class Command](messages/GripperCyclic/Command.md)
    -   [class CustomData](messages/GripperCyclic/CustomData.md)
    -   [class CustomDataUnit](messages/GripperCyclic/CustomDataUnit.md)
    -   [class Feedback](messages/GripperCyclic/Feedback.md)
    -   [class MessageId](messages/GripperCyclic/MessageId.md)
    -   [class MotorCommand](messages/GripperCyclic/MotorCommand.md)
    -   [class MotorFeedback](messages/GripperCyclic/MotorFeedback.md)
    -   [enum ServiceVersion](enums/GripperCyclic/ServiceVersion.md)
-   [InterconnectConfig \(C++\)](summary_pages/InterconnectConfig.md)
    -   [class EthernetConfiguration](messages/InterconnectConfig/EthernetConfiguration.md)
    -   [class EthernetDeviceIdentification](messages/InterconnectConfig/EthernetDeviceIdentification.md)
    -   [class GPIOConfiguration](messages/InterconnectConfig/GPIOConfiguration.md)
    -   [class GPIOIdentification](messages/InterconnectConfig/GPIOIdentification.md)
    -   [class GPIOState](messages/InterconnectConfig/GPIOState.md)
    -   [class I2CConfiguration](messages/InterconnectConfig/I2CConfiguration.md)
    -   [class I2CData](messages/InterconnectConfig/I2CData.md)
    -   [class I2CDeviceIdentification](messages/InterconnectConfig/I2CDeviceIdentification.md)
    -   [class I2CReadParameter](messages/InterconnectConfig/I2CReadParameter.md)
    -   [class I2CReadRegisterParameter](messages/InterconnectConfig/I2CReadRegisterParameter.md)
    -   [class I2CWriteParameter](messages/InterconnectConfig/I2CWriteParameter.md)
    -   [class I2CWriteRegisterParameter](messages/InterconnectConfig/I2CWriteRegisterParameter.md)
    -   [enum EthernetDevice](enums/InterconnectConfig/EthernetDevice.md)
    -   [enum EthernetDuplex](enums/InterconnectConfig/EthernetDuplex.md)
    -   [enum EthernetSpeed](enums/InterconnectConfig/EthernetSpeed.md)
    -   [enum GPIOIdentifier](enums/InterconnectConfig/GPIOIdentifier.md)
    -   [enum GPIOMode](enums/InterconnectConfig/GPIOMode.md)
    -   [enum GPIOPull](enums/InterconnectConfig/GPIOPull.md)
    -   [enum GPIOValue](enums/InterconnectConfig/GPIOValue.md)
    -   [enum I2CDevice](enums/InterconnectConfig/I2CDevice.md)
    -   [enum I2CDeviceAddressing](enums/InterconnectConfig/I2CDeviceAddressing.md)
    -   [enum I2CMode](enums/InterconnectConfig/I2CMode.md)
    -   [enum I2CRegisterAddressSize](enums/InterconnectConfig/I2CRegisterAddressSize.md)
    -   [enum SafetyIdentifier](enums/InterconnectConfig/SafetyIdentifier.md)
    -   [enum ServiceVersion](enums/InterconnectConfig/ServiceVersion.md)
    -   [enum UARTPortId](enums/InterconnectConfig/UARTPortId.md)
-   [InterconnectCyclic \(C++\)](summary_pages/InterconnectCyclic.md)
    -   [class Command](messages/InterconnectCyclic/Command.md)
    -   [class CustomData](messages/InterconnectCyclic/CustomData.md)
    -   [class Feedback](messages/InterconnectCyclic/Feedback.md)
    -   [class MessageId](messages/InterconnectCyclic/MessageId.md)
    -   [enum ServiceVersion](enums/InterconnectCyclic/ServiceVersion.md)
-   [ProductConfiguration \(C++\)](summary_pages/ProductConfiguration.md)
    -   [class CompleteProductConfiguration](messages/ProductConfiguration/CompleteProductConfiguration.md)
    -   [class ProductConfigurationEndEffectorType](messages/ProductConfiguration/ProductConfigurationEndEffectorType.md)
    -   [enum ArmLaterality](enums/ProductConfiguration/ArmLaterality.md)
    -   [enum BaseType](enums/ProductConfiguration/BaseType.md)
    -   [enum EndEffectorType](enums/ProductConfiguration/EndEffectorType.md)
    -   [enum InterfaceModuleType](enums/ProductConfiguration/InterfaceModuleType.md)
    -   [enum ModelId](enums/ProductConfiguration/ModelId.md)
    -   [enum VisionModuleType](enums/ProductConfiguration/VisionModuleType.md)
    -   [enum WristType](enums/ProductConfiguration/WristType.md)
-   [Session \(C++\)](summary_pages/Session.md)
    -   [class ConnectionList](messages/Session/ConnectionList.md)
    -   [class CreateSessionInfo](messages/Session/CreateSessionInfo.md)
    -   [enum ServiceVersion](enums/Session/ServiceVersion.md)
-   [VisionConfig \(C++\)](summary_pages/VisionConfig.md)
    -   [class DistortionCoefficients](messages/VisionConfig/DistortionCoefficients.md)
    -   [class ExtrinsicParameters](messages/VisionConfig/ExtrinsicParameters.md)
    -   [class FocusPoint](messages/VisionConfig/FocusPoint.md)
    -   [class IntrinsicParameters](messages/VisionConfig/IntrinsicParameters.md)
    -   [class IntrinsicProfileIdentifier](messages/VisionConfig/IntrinsicProfileIdentifier.md)
    -   [class ManualFocus](messages/VisionConfig/ManualFocus.md)
    -   [class OptionIdentifier](messages/VisionConfig/OptionIdentifier.md)
    -   [class OptionInformation](messages/VisionConfig/OptionInformation.md)
    -   [class OptionValue](messages/VisionConfig/OptionValue.md)
    -   [class RotationMatrix](messages/VisionConfig/RotationMatrix.md)
    -   [class RotationMatrixRow](messages/VisionConfig/RotationMatrixRow.md)
    -   [class SensorFocusAction](messages/VisionConfig/SensorFocusAction.md)
    -   [class SensorIdentifier](messages/VisionConfig/SensorIdentifier.md)
    -   [class SensorSettings](messages/VisionConfig/SensorSettings.md)
    -   [class TranslationVector](messages/VisionConfig/TranslationVector.md)
    -   [class VisionNotification](messages/VisionConfig/VisionNotification.md)
    -   [enum BitRate](enums/VisionConfig/BitRate.md)
    -   [enum FocusAction](enums/VisionConfig/FocusAction.md)
    -   [enum FrameRate](enums/VisionConfig/FrameRate.md)
    -   [enum Option](enums/VisionConfig/Option.md)
    -   [enum Resolution](enums/VisionConfig/Resolution.md)
    -   [enum Sensor](enums/VisionConfig/Sensor.md)
    -   [enum ServiceVersion](enums/VisionConfig/ServiceVersion.md)
    -   [enum VisionEvent](enums/VisionConfig/VisionEvent.md)

