# class ConfigurationChangeNotification

 **Member values** 

|Member name|Data type|Description|Usage|
|-----------|---------|-----------|-----|
|event|int|Configuration event|You can manipulate the field event as if it were a regular field. To clear the value of event and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|timestamp| [Timestamp](../Common/Timestamp.md#)|Event timestamp|To set timestamp, you simply assign a value directly to a field within timestamp. You can also use the parent message's HasField\(\) method to check if a message type field value has been set.|
|user\_handle| [UserProfileHandle](../Common/UserProfileHandle.md#)|User that caused the configuration event|To set user\_handle, you simply assign a value directly to a field within user\_handle. You can also use the parent message's HasField\(\) method to check if a message type field value has been set.|
|sequence\_handle|oneof:configuration\_change [SequenceHandle](SequenceHandle.md#)|Sequence for which the configuration changed|You can manipulate the field sequence\_handle as if it were a regular field. To clear the value of sequence\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|action\_handle|oneof:configuration\_change [ActionHandle](ActionHandle.md#)|Action for which the configuration changed|You can manipulate the field action\_handle as if it were a regular field. To clear the value of action\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|mapping\_handle|oneof:configuration\_change [MappingHandle](MappingHandle.md#)|Mapping for which the configuration changed|You can manipulate the field mapping\_handle as if it were a regular field. To clear the value of mapping\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|map\_group\_handle|oneof:configuration\_change [MapGroupHandle](MapGroupHandle.md#)|Map group for which the configuration changed|You can manipulate the field map\_group\_handle as if it were a regular field. To clear the value of map\_group\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|map\_handle|oneof:configuration\_change [MapHandle](MapHandle.md#)|Map for which the configuration changed|You can manipulate the field map\_handle as if it were a regular field. To clear the value of map\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|user\_profile\_handle|oneof:configuration\_change [UserProfileHandle](../Common/UserProfileHandle.md#)|User Profile for which the configuration changed|You can manipulate the field user\_profile\_handle as if it were a regular field. To clear the value of user\_profile\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|protection\_zone\_handle|oneof:configuration\_change [ProtectionZoneHandle](ProtectionZoneHandle.md#)|Protection zone for which the configuration changed|You can manipulate the field protection\_zone\_handle as if it were a regular field. To clear the value of protection\_zone\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|safety\_handle|oneof:configuration\_change [SafetyHandle](../Common/SafetyHandle.md#)|Safety for which the configuration changed|You can manipulate the field safety\_handle as if it were a regular field. To clear the value of safety\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|network\_handle|oneof:configuration\_change [NetworkHandle](NetworkHandle.md#)|Network element for which the configuration changed|You can manipulate the field network\_handle as if it were a regular field. To clear the value of network\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|ssid|oneof:configuration\_change [Ssid](Ssid.md#)|Wi-Fi instance for which the configuration changed|You can manipulate the field ssid as if it were a regular field. To clear the value of ssid and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|controller\_handle|oneof:configuration\_change [ControllerHandle](ControllerHandle.md#)|Controller instance for which the configuration changed|You can manipulate the field controller\_handle as if it were a regular field. To clear the value of controller\_handle and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface. The message class also has a WhichOneof method that lets you find out which field \(if any\) in the oneof has been set.|
|connection| [Connection](../Common/Connection.md#)|Connection that caused the configuration event|To set connection, you simply assign a value directly to a field within connection. You can also use the parent message's HasField\(\) method to check if a message type field value has been set.|

**Parent topic:** [Base \(Python\)](../../summary_pages/Base.md)

