# class BaseFeedback

 **Member values** 

|Member name|Data type|Description|Usage|
|-----------|---------|-----------|-----|
|active\_state\_connection\_identifier|int|Connection identifier of the last processed command which triggered an arm state change|You can manipulate the field active\_state\_connection\_identifier as if it were a regular field. To clear the value of active\_state\_connection\_identifier and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|active\_state|int|Active state of the arm|You can manipulate the field active\_state as if it were a regular field. To clear the value of active\_state and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|arm\_voltage|float|Arm voltage \(in Volts\)|You can manipulate the field arm\_voltage as if it were a regular field. To clear the value of arm\_voltage and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|arm\_current|float|Arm current \(in Amperes\)|You can manipulate the field arm\_current as if it were a regular field. To clear the value of arm\_current and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|temperature\_cpu|float|CPU temperature \(in degree Celsius\)|You can manipulate the field temperature\_cpu as if it were a regular field. To clear the value of temperature\_cpu and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|temperature\_ambient|float|Ambient temperature \(in degree Celsius\)|You can manipulate the field temperature\_ambient as if it were a regular field. To clear the value of temperature\_ambient and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|imu\_acceleration\_x|float|IMU Measured acceleration \(X-Axis\) of the base \(in meters per second squared\)|You can manipulate the field imu\_acceleration\_x as if it were a regular field. To clear the value of imu\_acceleration\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|imu\_acceleration\_y|float|IMU Measured acceleration \(Y-Axis\) of the base \(in meters per second squared\)|You can manipulate the field imu\_acceleration\_y as if it were a regular field. To clear the value of imu\_acceleration\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|imu\_acceleration\_z|float|IMU Measured acceleration \(Z-Axis\) of the base \(in meters per second squared\)|You can manipulate the field imu\_acceleration\_z as if it were a regular field. To clear the value of imu\_acceleration\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|imu\_angular\_velocity\_x|float|IMU Measured angular velocity \(X-Axis\) of the base \(in degrees per second\)|You can manipulate the field imu\_angular\_velocity\_x as if it were a regular field. To clear the value of imu\_angular\_velocity\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|imu\_angular\_velocity\_y|float|IMU Measured angular velocity \(Y-Axis\) of the base \(in degrees per second\)|You can manipulate the field imu\_angular\_velocity\_y as if it were a regular field. To clear the value of imu\_angular\_velocity\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|imu\_angular\_velocity\_z|float|IMU Measured angular velocity \(Z-Axis\) of the base \(in degrees per second\)|You can manipulate the field imu\_angular\_velocity\_z as if it were a regular field. To clear the value of imu\_angular\_velocity\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_pose\_x|float|Measured Cartesian position \(X-Axis\) of the tool \(in meters\)|You can manipulate the field tool\_pose\_x as if it were a regular field. To clear the value of tool\_pose\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_pose\_y|float|Measured Cartesian position \(Y-Axis\) of the tool \(in meters\)|You can manipulate the field tool\_pose\_y as if it were a regular field. To clear the value of tool\_pose\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_pose\_z|float|Measured Cartesian position \(Z-Axis\) of the tool \(in meters\)|You can manipulate the field tool\_pose\_z as if it were a regular field. To clear the value of tool\_pose\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_pose\_theta\_x|float|Measured Cartesian orientation \(X-Axis\) of the tool \(in degrees\)|You can manipulate the field tool\_pose\_theta\_x as if it were a regular field. To clear the value of tool\_pose\_theta\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_pose\_theta\_y|float|Measured Cartesian orientation \(Y-Axis\) of the tool \(in degrees\)|You can manipulate the field tool\_pose\_theta\_y as if it were a regular field. To clear the value of tool\_pose\_theta\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_pose\_theta\_z|float|Measured Cartesian orientation \(Z-Axis\) of the tool \(in degrees\)|You can manipulate the field tool\_pose\_theta\_z as if it were a regular field. To clear the value of tool\_pose\_theta\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_twist\_linear\_x|float|Measured Cartesian linear velocity \(X-Axis\) of the tool \(in meters per second\)|You can manipulate the field tool\_twist\_linear\_x as if it were a regular field. To clear the value of tool\_twist\_linear\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_twist\_linear\_y|float|Measured Cartesian linear velocity \(Y-Axis\) of the tool \(in meters per second\)|You can manipulate the field tool\_twist\_linear\_y as if it were a regular field. To clear the value of tool\_twist\_linear\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_twist\_linear\_z|float|Measured Cartesian linear velocity \(Z-Axis\) of the tool \(in meters per second\)|You can manipulate the field tool\_twist\_linear\_z as if it were a regular field. To clear the value of tool\_twist\_linear\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_twist\_angular\_x|float|Measured Cartesian angular velocity \(X-Axis\) of the tool \(in degrees per second\)|You can manipulate the field tool\_twist\_angular\_x as if it were a regular field. To clear the value of tool\_twist\_angular\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_twist\_angular\_y|float|Measured Cartesian angular velocity \(Y-Axis\) of the tool \(in degrees per second\)|You can manipulate the field tool\_twist\_angular\_y as if it were a regular field. To clear the value of tool\_twist\_angular\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_twist\_angular\_z|float|Measured Cartesian angular velocity \(Z-Axis\) of the tool \(in degrees per second\)|You can manipulate the field tool\_twist\_angular\_z as if it were a regular field. To clear the value of tool\_twist\_angular\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_external\_wrench\_force\_x|float|Computed force in X-Axis from external wrench \(in Newton\)|You can manipulate the field tool\_external\_wrench\_force\_x as if it were a regular field. To clear the value of tool\_external\_wrench\_force\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_external\_wrench\_force\_y|float|Computed force in Y-Axis from external wrench \(in Newton\)|You can manipulate the field tool\_external\_wrench\_force\_y as if it were a regular field. To clear the value of tool\_external\_wrench\_force\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_external\_wrench\_force\_z|float|Computed force in Z-Axis from external wrench \(in Newton\)|You can manipulate the field tool\_external\_wrench\_force\_z as if it were a regular field. To clear the value of tool\_external\_wrench\_force\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_external\_wrench\_torque\_x|float|Computed torque about X-axis from external wrench \(in Newton-meters\)|You can manipulate the field tool\_external\_wrench\_torque\_x as if it were a regular field. To clear the value of tool\_external\_wrench\_torque\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_external\_wrench\_torque\_y|float|Computed torque about Y-axis from external wrench \(in Newton-meters\)|You can manipulate the field tool\_external\_wrench\_torque\_y as if it were a regular field. To clear the value of tool\_external\_wrench\_torque\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|tool\_external\_wrench\_torque\_z|float|Computed torque about Z-axis from external wrench \(in Newton-meters\)|You can manipulate the field tool\_external\_wrench\_torque\_z as if it were a regular field. To clear the value of tool\_external\_wrench\_torque\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|fault\_bank\_a|int|The arm fault flags bank A \(0 if no fault\) see Base.SafetyIdentifier|You can manipulate the field fault\_bank\_a as if it were a regular field. To clear the value of fault\_bank\_a and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|fault\_bank\_b|int|The arm fault flags bank B \(0 if no fault\) see Base.SafetyIdentifier|You can manipulate the field fault\_bank\_b as if it were a regular field. To clear the value of fault\_bank\_b and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|warning\_bank\_a|int|The arm warning flags bank A \(0 if no warning\) see Base.SafetyIdentifier|You can manipulate the field warning\_bank\_a as if it were a regular field. To clear the value of warning\_bank\_a and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|warning\_bank\_b|int|The arm warning flags bank B \(0 if no warning\) see Base.SafetyIdentifier|You can manipulate the field warning\_bank\_b as if it were a regular field. To clear the value of warning\_bank\_b and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|commanded\_tool\_pose\_x|float|Commanded Cartesian position \(X-Axis\) of the tool \(in meters\)|You can manipulate the field commanded\_tool\_pose\_x as if it were a regular field. To clear the value of commanded\_tool\_pose\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|commanded\_tool\_pose\_y|float|Commanded Cartesian position \(Y-Axis\) of the tool \(in meters\)|You can manipulate the field commanded\_tool\_pose\_y as if it were a regular field. To clear the value of commanded\_tool\_pose\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|commanded\_tool\_pose\_z|float|Commanded Cartesian position \(Z-Axis\) of the tool \(in meters\)|You can manipulate the field commanded\_tool\_pose\_z as if it were a regular field. To clear the value of commanded\_tool\_pose\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|commanded\_tool\_pose\_theta\_x|float|Commanded Cartesian orientation \(X-Axis\) of the tool \(in degrees\)|You can manipulate the field commanded\_tool\_pose\_theta\_x as if it were a regular field. To clear the value of commanded\_tool\_pose\_theta\_x and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|commanded\_tool\_pose\_theta\_y|float|Commanded Cartesian orientation \(Y-Axis\) of the tool \(in degrees\)|You can manipulate the field commanded\_tool\_pose\_theta\_y as if it were a regular field. To clear the value of commanded\_tool\_pose\_theta\_y and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|
|commanded\_tool\_pose\_theta\_z|float|Commanded Cartesian orientation \(Z-Axis\) of the tool \(in degrees\)|You can manipulate the field commanded\_tool\_pose\_theta\_z as if it were a regular field. To clear the value of commanded\_tool\_pose\_theta\_z and reset it to the default value for its type, you call the ClearField\(\) method of the Message interface.|

**Parent topic:** [BaseCyclic \(Python\)](../../summary_pages/BaseCyclic.md)

